import { Rgb } from '@archilogic/space-graph-core';
export declare const colorGradient: ({ startClr, midClr, endClr, clrSteps, midStep, backgroundOpacity, opacity }?: {
    startClr?: number[];
    midClr?: number[];
    endClr?: number[];
    clrSteps?: number;
    midStep?: number;
    backgroundOpacity?: number;
    opacity?: number;
}) => [number, number, number, number][];
export declare function hexToRgb(hex: string): Rgb;
export declare function rgbToHex(rgb: Rgb | [number, number, number]): string;
